services:
  edge_agent:
    image: portainer/agent:latest
    environment:
      - EDGE=1
      - CAP_HOST_MANAGEMENT=1
      - PORTAINER_URL=https://portainer.kaz.bzh
    env_file:
      - ../../secret/env-portainer-agent            
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /var/lib/docker/volumes:/var/lib/docker/volumes
      - portainer_agent_data:/data 
    network_mode: "host"

volumes:
  portainer_agent_data:
